<!DOCTYPE HTML>
<html>
    <head>
        <link rel="stylesheet" href="./index.css">
        <title>Activity: CSS Introduction</title>
    </head>
    <body>

        <!-- Different ways to include CSS -->
        <p style="color: red">Apply inline styling here.</p>

        <style>
            #internal {color: orange;}

            * {font-family: sans-serif; font-size: 20px;}

            h1 {font-size: 50px;}

            #h2 {text-transform: uppercase;}

            .language {background-color: lightgreen;}

            [type="tools"] {border: 1px solid royalblue;}
        </style>

        <p id="internal">Apply internal styling here.</p>

        <p id="external">Apply external styling here.</p>

        <!-- CSS Selectors -->
        <h1>CSS Introduction Activity</h1>

        <h2 id="h2">The following are things you will learn in this bootcamp:</h2>

        <h3>Languages to be Learned</h3>
        <ol>
            <li class="language">Hypertext Markup Language</li>
            <li class="language">Cascading Style Sheet</li>
            <li class="language">JavaScript</li>
        </ol>

        <h3>Tools to be Used</h3>
        <ol>
            <li type="tools">Sublime Text</li>
            <li type="tools">Postman</li>
            <li type="tools">Heroku</li>
            <li type="tools">GitLab</li>
        </ol>

        <!-- Combinator Selectors -->
        <section>
            <h4>Other Things to be Learned</h4>
            <img src="https://upload.wikimedia.org/wikipedia/commons/thumb/9/99/Unofficial_JavaScript_logo_2.svg/480px-Unofficial_JavaScript_logo_2.svg.png">
            <ul>
                <li>Node.js</li>
                <li>Express.js</li>
                <li>React.js</li>
                <li>MongoDB</li>
            </ul>
            <p>Web development is a continuous process. Never stop learning and always look for ways to innovate.</p>
        </section>

    </body>
</html>